<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXURLConfig类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_x_h_x_u_r_l_config.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">类方法</a> &#124;
<a href="interface_x_h_x_u_r_l_config-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">XHXURLConfig类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_x_h_x_u_r_l_config_8h_source.html">XHXURLConfig.h</a>&gt;</code></p>
<div class="dynheader">
类 XHXURLConfig 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_x_h_x_u_r_l_config.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
类方法</h2></td></tr>
<tr class="memitem:ae58deffd59d76af5e01766adb478a742"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_u_r_l_config.html#ae58deffd59d76af5e01766adb478a742">fetchAllURLOnEnv:forceUpdate:complete:</a></td></tr>
<tr class="separator:ae58deffd59d76af5e01766adb478a742"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77e3347ac3c554389b6f75f37b93d1e5"><td class="memItemLeft" align="right" valign="top">(NSString *)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey:</a></td></tr>
<tr class="separator:a77e3347ac3c554389b6f75f37b93d1e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock">
<p class="definition">在文件 <a class="el" href="_x_h_x_u_r_l_config_8h_source.html">XHXURLConfig.h</a> 第 <a class="el" href="_x_h_x_u_r_l_config_8h_source.html#l00049">49</a> 行定义.</p>
</div><h2 class="groupheader">函数文档</h2>
<a id="ae58deffd59d76af5e01766adb478a742"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae58deffd59d76af5e01766adb478a742">&#9670;&nbsp;</a></span>fetchAllURLOnEnv:forceUpdate:complete:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (void) fetchAllURLOnEnv: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>env</em></td>
        </tr>
        <tr>
          <td class="paramkey">forceUpdate:</td>
          <td></td>
          <td class="paramtype">(BOOL)&#160;</td>
          <td class="paramname"><em>force</em></td>
        </tr>
        <tr>
          <td class="paramkey">complete:</td>
          <td></td>
          <td class="paramtype">(void(^)(NSString *env))&#160;</td>
          <td class="paramname"><em>completeBlock</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>请求H5URL配置文件，并存储到沙盒。 是否强制刷新</p>
<p>请求H5URL配置文件，并存储到沙盒。 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_u_r_l_config_8m_source.html">XHXURLConfig.m</a> 第 <a class="el" href="_x_h_x_u_r_l_config_8m_source.html#l00060">60</a> 行定义.</p>

</div>
</div>
<a id="a77e3347ac3c554389b6f75f37b93d1e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77e3347ac3c554389b6f75f37b93d1e5">&#9670;&nbsp;</a></span>URLForKey:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (NSString *) URLForKey: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>key</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>根据key获取H5页面地址</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>与服务端约定的key </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>返回</dt><dd>H5页面地址 </dd></dl>

<p class="definition">在文件 <a class="el" href="_x_h_x_u_r_l_config_8m_source.html">XHXURLConfig.m</a> 第 <a class="el" href="_x_h_x_u_r_l_config_8m_source.html#l00060">60</a> 行定义.</p>

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>XHXKit/Classes/URLConfig/<a class="el" href="_x_h_x_u_r_l_config_8h_source.html">XHXURLConfig.h</a></li>
<li>XHXKit/Classes/URLConfig/<a class="el" href="_x_h_x_u_r_l_config_8m_source.html">XHXURLConfig.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
